<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::authDelegate Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.6.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html">authDelegate</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::authDelegate Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1auth_delegate_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac396dffc0fc3ccc3caf297d8633a1f90"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ac396dffc0fc3ccc3caf297d8633a1f90">TAG</a> (&quot;AuthDelegate&quot;)</td></tr>
<tr class="memdesc:ac396dffc0fc3ccc3caf297d8633a1f90"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ac396dffc0fc3ccc3caf297d8633a1f90">More...</a><br /></td></tr>
<tr class="separator:ac396dffc0fc3ccc3caf297d8633a1f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa10d9545c322e96ebe3a86a16d342b43"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#aa10d9545c322e96ebe3a86a16d342b43">isUnrecoverable</a> (const std::string &amp;error)</td></tr>
<tr class="separator:aa10d9545c322e96ebe3a86a16d342b43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90981c5626887a75a729cb9623f8db9c"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a90981c5626887a75a729cb9623f8db9c">isUnrecoverable</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a> error)</td></tr>
<tr class="separator:a90981c5626887a75a729cb9623f8db9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad163472b90c36f41a9c8d68729b660c3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ad163472b90c36f41a9c8d68729b660c3">getErrorCode</a> (const std::string &amp;error)</td></tr>
<tr class="separator:ad163472b90c36f41a9c8d68729b660c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab390b582c0eda7ba11c0b4e76641de60"><td class="memItemLeft" align="right" valign="top">static std::chrono::steady_clock::time_point&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab390b582c0eda7ba11c0b4e76641de60">calculateTimeToRetry</a> (int retryCount)</td></tr>
<tr class="separator:ab390b582c0eda7ba11c0b4e76641de60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4a1dbd889639b4d2d5539e046d94769c"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a4a1dbd889639b4d2d5539e046d94769c">CONFIG_KEY_AUTH_DELEGATE</a> = &quot;authDelegate&quot;</td></tr>
<tr class="memdesc:a4a1dbd889639b4d2d5539e046d94769c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>.  <a href="#a4a1dbd889639b4d2d5539e046d94769c">More...</a><br /></td></tr>
<tr class="separator:a4a1dbd889639b4d2d5539e046d94769c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d0226d8552feadf5a039abc7d5f4e7"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ac9d0226d8552feadf5a039abc7d5f4e7">CONFIG_KEY_CLIENT_ID</a> = &quot;clientId&quot;</td></tr>
<tr class="memdesc:ac9d0226d8552feadf5a039abc7d5f4e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of clientId value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#ac9d0226d8552feadf5a039abc7d5f4e7">More...</a><br /></td></tr>
<tr class="separator:ac9d0226d8552feadf5a039abc7d5f4e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec9f58d5fedd2e43cf1d4ea652e7f41"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#acec9f58d5fedd2e43cf1d4ea652e7f41">CONFIG_KEY_CLIENT_SECRET</a> = &quot;clientSecret&quot;</td></tr>
<tr class="memdesc:acec9f58d5fedd2e43cf1d4ea652e7f41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of clientSecret value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#acec9f58d5fedd2e43cf1d4ea652e7f41">More...</a><br /></td></tr>
<tr class="separator:acec9f58d5fedd2e43cf1d4ea652e7f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f19f618f1c05a7db02cf4aa90f81b54"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a6f19f618f1c05a7db02cf4aa90f81b54">CONFIG_KEY_REFRESH_TOKEN</a> = &quot;refreshToken&quot;</td></tr>
<tr class="memdesc:a6f19f618f1c05a7db02cf4aa90f81b54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of refreshToken value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a6f19f618f1c05a7db02cf4aa90f81b54">More...</a><br /></td></tr>
<tr class="separator:a6f19f618f1c05a7db02cf4aa90f81b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf04fdfb3e18c59e4865a282bf2a0ce"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#afbf04fdfb3e18c59e4865a282bf2a0ce">CONFIG_KEY_LWA_URL</a> = &quot;lwaUrl&quot;</td></tr>
<tr class="memdesc:afbf04fdfb3e18c59e4865a282bf2a0ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of lwaURL value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#afbf04fdfb3e18c59e4865a282bf2a0ce">More...</a><br /></td></tr>
<tr class="separator:afbf04fdfb3e18c59e4865a282bf2a0ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5de31163231645618627ebbbc308bf42"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a5de31163231645618627ebbbc308bf42">CONFIG_KEY_REQUEST_TIMEOUT</a> = &quot;requestTimeout&quot;</td></tr>
<tr class="memdesc:a5de31163231645618627ebbbc308bf42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of requestTimeout value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a5de31163231645618627ebbbc308bf42">More...</a><br /></td></tr>
<tr class="separator:a5de31163231645618627ebbbc308bf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e2113022c5518626d116c471b31d72f"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a2e2113022c5518626d116c471b31d72f">CONFIG_KEY_AUTH_TOKEN_REFRESH_HEAD_START</a> = &quot;authTokenRefreshHeadStart&quot;</td></tr>
<tr class="memdesc:a2e2113022c5518626d116c471b31d72f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of authTokenRefreshHeadStart value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>.  <a href="#a2e2113022c5518626d116c471b31d72f">More...</a><br /></td></tr>
<tr class="separator:a2e2113022c5518626d116c471b31d72f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539a5fdbb2c23c870260c47071e771ff"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a539a5fdbb2c23c870260c47071e771ff">DEFAULT_LWA_URL</a> = &quot;https://api.amazon.com/auth/o2/token&quot;</td></tr>
<tr class="memdesc:a539a5fdbb2c23c870260c47071e771ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for lwaURL.  <a href="#a539a5fdbb2c23c870260c47071e771ff">More...</a><br /></td></tr>
<tr class="separator:a539a5fdbb2c23c870260c47071e771ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99a0cbb530e703699711f6f3c43ef90c"><td class="memItemLeft" align="right" valign="top">static const std::chrono::minutes&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a99a0cbb530e703699711f6f3c43ef90c">DEFAULT_REQUEST_TIMEOUT</a> = std::chrono::minutes(5)</td></tr>
<tr class="memdesc:a99a0cbb530e703699711f6f3c43ef90c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for requestTimeout.  <a href="#a99a0cbb530e703699711f6f3c43ef90c">More...</a><br /></td></tr>
<tr class="separator:a99a0cbb530e703699711f6f3c43ef90c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad6637edb06997aec0c82cd3b72b2862"><td class="memItemLeft" align="right" valign="top">static const std::chrono::minutes&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#aad6637edb06997aec0c82cd3b72b2862">DEFAULT_AUTH_TOKEN_REFRESH_HEAD_START</a> = std::chrono::minutes(10)</td></tr>
<tr class="memdesc:aad6637edb06997aec0c82cd3b72b2862"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default value for authTokenRefreshHeadStart.  <a href="#aad6637edb06997aec0c82cd3b72b2862">More...</a><br /></td></tr>
<tr class="separator:aad6637edb06997aec0c82cd3b72b2862"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a648b45ab7abafee031b1c0f8c175a70c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a648b45ab7abafee031b1c0f8c175a70c">POST_DATA_UP_TO_CLIENT_ID</a> = &quot;grant_type=refresh_token&amp;client_id=&quot;</td></tr>
<tr class="memdesc:a648b45ab7abafee031b1c0f8c175a70c"><td class="mdescLeft">&#160;</td><td class="mdescRight">POST data before 'client_id' that is sent to LWA to refresh the auth token.  <a href="#a648b45ab7abafee031b1c0f8c175a70c">More...</a><br /></td></tr>
<tr class="separator:a648b45ab7abafee031b1c0f8c175a70c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab84a57a546445ab134cbb09bd043534b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab84a57a546445ab134cbb09bd043534b">POST_DATA_BETWEEN_CLIENT_ID_AND_REFRESH_TOKEN</a> = &quot;&amp;refresh_token=&quot;</td></tr>
<tr class="memdesc:ab84a57a546445ab134cbb09bd043534b"><td class="mdescLeft">&#160;</td><td class="mdescRight">POST data between 'client_id' and 'refresh_token' that is sent to LWA to refresh the auth token.  <a href="#ab84a57a546445ab134cbb09bd043534b">More...</a><br /></td></tr>
<tr class="separator:ab84a57a546445ab134cbb09bd043534b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e54278c6d0a2c5737ba74ff489b48a5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a7e54278c6d0a2c5737ba74ff489b48a5">POST_DATA_BETWEEN_REFRESH_TOKEN_AND_CLIENT_SECRET</a> = &quot;&amp;client_secret=&quot;</td></tr>
<tr class="memdesc:a7e54278c6d0a2c5737ba74ff489b48a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">POST data between 'refresh_token' and 'client_secret' that is sent to LWA to refresh the auth token.  <a href="#a7e54278c6d0a2c5737ba74ff489b48a5">More...</a><br /></td></tr>
<tr class="separator:a7e54278c6d0a2c5737ba74ff489b48a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2079f136924d85e980bc68169d978387"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a2079f136924d85e980bc68169d978387">JSON_KEY_ACCESS_TOKEN</a> = &quot;access_token&quot;</td></tr>
<tr class="memdesc:a2079f136924d85e980bc68169d978387"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the access token.  <a href="#a2079f136924d85e980bc68169d978387">More...</a><br /></td></tr>
<tr class="separator:a2079f136924d85e980bc68169d978387"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76041b45c2e1cc2da68fea30920343b4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a76041b45c2e1cc2da68fea30920343b4">JSON_KEY_REFRESH_TOKEN</a> = &quot;refresh_token&quot;</td></tr>
<tr class="memdesc:a76041b45c2e1cc2da68fea30920343b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the refresh token.  <a href="#a76041b45c2e1cc2da68fea30920343b4">More...</a><br /></td></tr>
<tr class="separator:a76041b45c2e1cc2da68fea30920343b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1254bb1a816553d604b93ee8925035ba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a1254bb1a816553d604b93ee8925035ba">JSON_KEY_EXPIRES_IN</a> = &quot;expires_in&quot;</td></tr>
<tr class="memdesc:a1254bb1a816553d604b93ee8925035ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the expiration time.  <a href="#a1254bb1a816553d604b93ee8925035ba">More...</a><br /></td></tr>
<tr class="separator:a1254bb1a816553d604b93ee8925035ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b1d07657dfcb2db92d714becb9f389"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#ab2b1d07657dfcb2db92d714becb9f389">JSON_KEY_ERROR</a> = &quot;error&quot;</td></tr>
<tr class="memdesc:ab2b1d07657dfcb2db92d714becb9f389"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the property name in the JSON which refers to the error.  <a href="#ab2b1d07657dfcb2db92d714becb9f389">More...</a><br /></td></tr>
<tr class="separator:ab2b1d07657dfcb2db92d714becb9f389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1059429628ba445adcf11df6d23ef74"><td class="memItemLeft" align="right" valign="top">static const std::unordered_map&lt; std::string, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#af1059429628ba445adcf11df6d23ef74">g_recoverableErrorCodeMap</a></td></tr>
<tr class="separator:af1059429628ba445adcf11df6d23ef74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a383a66426c9a41e5df43170a8faecca5"><td class="memItemLeft" align="right" valign="top">static const std::unordered_map&lt; std::string, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1auth_delegate.html#a383a66426c9a41e5df43170a8faecca5">g_unrecoverableErrorCodeMap</a></td></tr>
<tr class="separator:a383a66426c9a41e5df43170a8faecca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab390b582c0eda7ba11c0b4e76641de60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab390b582c0eda7ba11c0b4e76641de60">&#9670;&nbsp;</a></span>calculateTimeToRetry()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static std::chrono::steady_clock::time_point alexaClientSDK::authDelegate::calculateTimeToRetry </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>retryCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Function to convert the number of times we have already retried to the time to perform the next retry.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">retryCount</td><td>The number of times we have retried </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The time that the next retry should be attempted </dd></dl>
<p>Table of retry backoff values based upon page 77 of </p><dl class="section see"><dt>See also</dt><dd><a href="https://images-na.ssl-images-amazon.com/images/G/01/mwsportal/">https://images-na.ssl-images-amazon.com/images/G/01/mwsportal/</a> doc/en_US/offamazonpayments/LoginAndPayWithAmazonIntegrationGuide.pdf</dd></dl>

</div>
</div>
<a id="ad163472b90c36f41a9c8d68729b660c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad163472b90c36f41a9c8d68729b660c3">&#9670;&nbsp;</a></span>getErrorCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a> alexaClientSDK::authDelegate::getErrorCode </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Helper function that retrieves the Error enum value.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>The string in the <code>error</code> field of packet body. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the Error enum code corresponding to <code>error</code>. If error is "", returns SUCCESS. If it is an unknown error, returns UNKNOWN_ERROR. </dd></dl>

</div>
</div>
<a id="aa10d9545c322e96ebe3a86a16d342b43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa10d9545c322e96ebe3a86a16d342b43">&#9670;&nbsp;</a></span>isUnrecoverable() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool alexaClientSDK::authDelegate::isUnrecoverable </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Helper function that decides if the HTTP error code is unrecoverable.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>The HTTP error code. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if <code>error</code> is unrecoverable, <code>false</code> otherwise. </dd></dl>

</div>
</div>
<a id="a90981c5626887a75a729cb9623f8db9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90981c5626887a75a729cb9623f8db9c">&#9670;&nbsp;</a></span>isUnrecoverable() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool alexaClientSDK::authDelegate::isUnrecoverable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a>&#160;</td>
          <td class="paramname"><em>error</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Helper function that decides if the Enum error code is unrecoverable.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>The Enum error code. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if <code>error</code> is unrecoverable, <code>false</code> otherwise. </dd></dl>

</div>
</div>
<a id="ac396dffc0fc3ccc3caf297d8633a1f90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac396dffc0fc3ccc3caf297d8633a1f90">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::authDelegate::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;AuthDelegate&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4a1dbd889639b4d2d5539e046d94769c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a1dbd889639b4d2d5539e046d94769c">&#9670;&nbsp;</a></span>CONFIG_KEY_AUTH_DELEGATE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::CONFIG_KEY_AUTH_DELEGATE = &quot;authDelegate&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>. </p>

</div>
</div>
<a id="a2e2113022c5518626d116c471b31d72f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e2113022c5518626d116c471b31d72f">&#9670;&nbsp;</a></span>CONFIG_KEY_AUTH_TOKEN_REFRESH_HEAD_START</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::authDelegate::CONFIG_KEY_AUTH_TOKEN_REFRESH_HEAD_START = &quot;authTokenRefreshHeadStart&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of authTokenRefreshHeadStart value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="ac9d0226d8552feadf5a039abc7d5f4e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9d0226d8552feadf5a039abc7d5f4e7">&#9670;&nbsp;</a></span>CONFIG_KEY_CLIENT_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::authDelegate::CONFIG_KEY_CLIENT_ID = &quot;clientId&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of clientId value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="acec9f58d5fedd2e43cf1d4ea652e7f41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acec9f58d5fedd2e43cf1d4ea652e7f41">&#9670;&nbsp;</a></span>CONFIG_KEY_CLIENT_SECRET</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::authDelegate::CONFIG_KEY_CLIENT_SECRET = &quot;clientSecret&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of clientSecret value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="afbf04fdfb3e18c59e4865a282bf2a0ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbf04fdfb3e18c59e4865a282bf2a0ce">&#9670;&nbsp;</a></span>CONFIG_KEY_LWA_URL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::authDelegate::CONFIG_KEY_LWA_URL = &quot;lwaUrl&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of lwaURL value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a6f19f618f1c05a7db02cf4aa90f81b54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f19f618f1c05a7db02cf4aa90f81b54">&#9670;&nbsp;</a></span>CONFIG_KEY_REFRESH_TOKEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::authDelegate::CONFIG_KEY_REFRESH_TOKEN = &quot;refreshToken&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of refreshToken value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="a5de31163231645618627ebbbc308bf42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5de31163231645618627ebbbc308bf42">&#9670;&nbsp;</a></span>CONFIG_KEY_REQUEST_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::authDelegate::CONFIG_KEY_REQUEST_TIMEOUT = &quot;requestTimeout&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of requestTimeout value in <a class="el" href="classalexa_client_s_d_k_1_1auth_delegate_1_1_auth_delegate.html">AuthDelegate</a>'s <code>ConfigurationNode</code>. </p>

</div>
</div>
<a id="aad6637edb06997aec0c82cd3b72b2862"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad6637edb06997aec0c82cd3b72b2862">&#9670;&nbsp;</a></span>DEFAULT_AUTH_TOKEN_REFRESH_HEAD_START</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::minutes alexaClientSDK::authDelegate::DEFAULT_AUTH_TOKEN_REFRESH_HEAD_START = std::chrono::minutes(10)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default value for authTokenRefreshHeadStart. </p>

</div>
</div>
<a id="a539a5fdbb2c23c870260c47071e771ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a539a5fdbb2c23c870260c47071e771ff">&#9670;&nbsp;</a></span>DEFAULT_LWA_URL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::DEFAULT_LWA_URL = &quot;https://api.amazon.com/auth/o2/token&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default value for lwaURL. </p>

</div>
</div>
<a id="a99a0cbb530e703699711f6f3c43ef90c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99a0cbb530e703699711f6f3c43ef90c">&#9670;&nbsp;</a></span>DEFAULT_REQUEST_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::minutes alexaClientSDK::authDelegate::DEFAULT_REQUEST_TIMEOUT = std::chrono::minutes(5)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default value for requestTimeout. </p>

</div>
</div>
<a id="af1059429628ba445adcf11df6d23ef74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1059429628ba445adcf11df6d23ef74">&#9670;&nbsp;</a></span>g_recoverableErrorCodeMap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::unordered_map&lt;std::string, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a>&gt; alexaClientSDK::authDelegate::g_recoverableErrorCodeMap</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div><div class="line">    {<span class="stringliteral">&quot;invalid_client&quot;</span>, AuthObserverInterface::Error::AUTHORIZATION_FAILED},</div><div class="line">    {<span class="stringliteral">&quot;unauthorized_client&quot;</span>, AuthObserverInterface::Error::UNAUTHORIZED_CLIENT},</div><div class="line">    {<span class="stringliteral">&quot;servererror&quot;</span>, AuthObserverInterface::Error::SERVER_ERROR},</div><div class="line">}</div></div><!-- fragment --><p>Lookup table for recoverable errors from LWA error codes (</p><dl class="section see"><dt>See also</dt><dd><a href="https://images-na.ssl-images-amazon.com/images/G/01/lwa/dev/docs/website-developer-guide._TTH_.pdf">https://images-na.ssl-images-amazon.com/images/G/01/lwa/dev/docs/website-developer-guide._TTH_.pdf</a>) to <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce" title="The enum Error encodes possible errors which may occur when changing state. ">AuthObserverInterface::Error</a> codes. </dd></dl>

</div>
</div>
<a id="a383a66426c9a41e5df43170a8faecca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a383a66426c9a41e5df43170a8faecca5">&#9670;&nbsp;</a></span>g_unrecoverableErrorCodeMap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::unordered_map&lt;std::string, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a>&gt; alexaClientSDK::authDelegate::g_unrecoverableErrorCodeMap</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div><div class="line">    {<span class="stringliteral">&quot;invalid_request&quot;</span>, AuthObserverInterface::Error::INVALID_REQUEST},</div><div class="line">    {<span class="stringliteral">&quot;unsupported_grant_type&quot;</span>, AuthObserverInterface::Error::UNSUPPORTED_GRANT_TYPE},</div><div class="line">    {<span class="stringliteral">&quot;invalid_grant&quot;</span>, AuthObserverInterface::Error::AUTHORIZATION_EXPIRED},</div><div class="line">}</div></div><!-- fragment --><p>Lookup table for unrecoverable errors from LWA error codes (</p><dl class="section see"><dt>See also</dt><dd><a href="https://images-na.ssl-images-amazon.com/images/G/01/lwa/dev/docs/website-developer-guide._TTH_.pdf">https://images-na.ssl-images-amazon.com/images/G/01/lwa/dev/docs/website-developer-guide._TTH_.pdf</a>) to <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce" title="The enum Error encodes possible errors which may occur when changing state. ">AuthObserverInterface::Error</a> codes. </dd></dl>

</div>
</div>
<a id="a2079f136924d85e980bc68169d978387"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2079f136924d85e980bc68169d978387">&#9670;&nbsp;</a></span>JSON_KEY_ACCESS_TOKEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::JSON_KEY_ACCESS_TOKEN = &quot;access_token&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This is the property name in the JSON which refers to the access token. </p>

</div>
</div>
<a id="ab2b1d07657dfcb2db92d714becb9f389"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2b1d07657dfcb2db92d714becb9f389">&#9670;&nbsp;</a></span>JSON_KEY_ERROR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::JSON_KEY_ERROR = &quot;error&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This is the property name in the JSON which refers to the error. </p>

</div>
</div>
<a id="a1254bb1a816553d604b93ee8925035ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1254bb1a816553d604b93ee8925035ba">&#9670;&nbsp;</a></span>JSON_KEY_EXPIRES_IN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::JSON_KEY_EXPIRES_IN = &quot;expires_in&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This is the property name in the JSON which refers to the expiration time. </p>

</div>
</div>
<a id="a76041b45c2e1cc2da68fea30920343b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76041b45c2e1cc2da68fea30920343b4">&#9670;&nbsp;</a></span>JSON_KEY_REFRESH_TOKEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::JSON_KEY_REFRESH_TOKEN = &quot;refresh_token&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This is the property name in the JSON which refers to the refresh token. </p>

</div>
</div>
<a id="ab84a57a546445ab134cbb09bd043534b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab84a57a546445ab134cbb09bd043534b">&#9670;&nbsp;</a></span>POST_DATA_BETWEEN_CLIENT_ID_AND_REFRESH_TOKEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::POST_DATA_BETWEEN_CLIENT_ID_AND_REFRESH_TOKEN = &quot;&amp;refresh_token=&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>POST data between 'client_id' and 'refresh_token' that is sent to LWA to refresh the auth token. </p>

</div>
</div>
<a id="a7e54278c6d0a2c5737ba74ff489b48a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e54278c6d0a2c5737ba74ff489b48a5">&#9670;&nbsp;</a></span>POST_DATA_BETWEEN_REFRESH_TOKEN_AND_CLIENT_SECRET</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::POST_DATA_BETWEEN_REFRESH_TOKEN_AND_CLIENT_SECRET = &quot;&amp;client_secret=&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>POST data between 'refresh_token' and 'client_secret' that is sent to LWA to refresh the auth token. </p>

</div>
</div>
<a id="a648b45ab7abafee031b1c0f8c175a70c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a648b45ab7abafee031b1c0f8c175a70c">&#9670;&nbsp;</a></span>POST_DATA_UP_TO_CLIENT_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::authDelegate::POST_DATA_UP_TO_CLIENT_ID = &quot;grant_type=refresh_token&amp;client_id=&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>POST data before 'client_id' that is sent to LWA to refresh the auth token. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.6.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
